Vla-get-twistangle

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-twistangle vla-object )


機能
ビューポートの傾斜角度を指定する。


引数
  • vla-object … VLAオブジェクト(PViewport)


戻り値
ビューポートの傾斜角度。(ラジアン)


  • MEMO : これは、視線の周りにビューをひねる、つまり傾けるメソッド。CAD では、傾斜角度を反時計回りに、0°が右になるように計る。


サンプル
(vl-load-com)
(defun c:Example_TwistAngle()
    ;; 新しいペーパー空間ビューポートを作成して、
    ;; ビューポートのねじれ角度を表示するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; ペーパー空間ビューポートの定義
    (setq center (vlax-3d-point 3 3 0)
          width 40
          height 40)
    
    ;; ペーパー空間に移動
    (vla-put-ActiveSpace doc acPaperSpace)

    ;; ペーパー空間ビューポートを作成
    (setq paperSpace (vla-get-PaperSpace doc))
    (setq pviewportObj (vla-AddPViewport paperSpace center width height))

    (vla-Display pviewportObj :vlax-true)
    (vla-put-MSpace doc :vlax-true)
    (vla-put-ActivePViewport doc pviewportObj)
    (vla-Regen doc acAllViewports)
    
    ;; ペーパー空間ビューポートを傾ける
    (setq twistAngle (vla-get-TwistAngle pviewportObj))
    (alert (strcat "ペーパー空間ビューポートの確度は " (rtos twistAngle 2)))
)

関連事項